<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use Opcodes\LogViewer\Facades\LogViewer;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        if ($this->app->isLocal()) {
            $this->app->register(\Barryvdh\LaravelIdeHelper\IdeHelperServiceProvider::class);
        }
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        if(config('app.env') === 'production') {
            //\URL::forceScheme('https');
        }else {
            //\URL::forceScheme('https');
        }

        /*
        LogViewer::auth(function ($request) {
            return $request->user()
                && $request->user()->email == 'splin94@yandex.ru';
        });
        */

    }
}
